"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("../");
describe('GraphQL-Type-Mutation', () => {
    it('render GraphQL - variable  in subqueries', () => {
        const columnsText = [
            {
                name: 'idLang',
                resolve: __1.types.string,
            },
            {
                name: 'text',
                resolve: __1.types.string,
            },
            {
                name: 'idLangText',
                resolve: __1.types.number,
            },
            {
                name: 'idTranslation',
                resolve: __1.types.number,
            },
        ];
        const query = new __1.Mutation('translation', [
            {
                name: 'idTranslation',
                resolve: __1.types.number,
            },
            {
                name: 'code',
                resolve: __1.types.string,
            },
            {
                name: 'text',
                resolve: (args) => {
                    const graphQL = new __1.GraphQL(columnsText, { idLang: __1.types.string });
                    return graphQL.resolve(args);
                },
            },
        ], {
            code: 'String',
            texts: '[CreateTranslation]',
        });
        const queryString = query.toString({
            columns: [
                'idTranslation',
                {
                    text: ['idLangText', 'text'],
                },
            ],
            variables: [
                'code',
                'texts',
            ],
        });
        expect(queryString).toEqual('mutation translation($code:String,$texts:[CreateTranslation]){translation(code:$code,texts:$texts){idTranslation text{idLangText text}}}');
    });
});
//# sourceMappingURL=Mutation.js.map